---
name: Cosmos Hub Feature Proposal Checklist
about: Create a checklist for a feature proposal

---

## Cosmos Hub Feature Epic

# <Feature Name>

- [ ] Copy Gaia ADR for this feature

Hub Module Readiness Checklist:

Check mark each item if it has been completed and added to the readiness file. If not added yet, create an issue for each item and mark complete once it has been added to the readiness file.

- [ ]  ADR/Specification
- [ ]  Repository
- [ ]  Readme/Documentation
- [ ]  Light Paper/Blog Post
- [ ]  Demo/Tutorial

Continuity
  - [ ] Developer:
  - [ ] Maintainer:
  - [ ] Handoff requirements:
  - [ ] Support and training requirements:

Integrations
  - [ ] Gaia integration
  - [ ] Integration partner:
  - [ ] [IBC Readiness](https://github.com/cosmos/stargate-launch/blob/master/ibc_readiness_matrix.md)
  - [ ] Downstream user impact report
  - [ ] Upstream partner impact report
  - [ ] Inter-module dependence, e.g., pegs  

Governance
  - [ ] Hub governance proposal
  - [ ] Core community governance
  - [ ] Steering community
  - [ ] Timelines and Roadmap

Research
  - [ ] Working Group/Interest Group and Charter
  - [ ] Questions
  - [ ] Formalisms
  - [ ] Experiments

Support
  - [ ] Technical
  - [ ] Marketing
  - [ ] Education

Development
- [ ] [Integration requirements](https://github.com/regen-network/regen-ledger/issues/253)
  - [ ] CLI
- [ ] Testing
  - [ ] Simulations
  - [ ] Testing by core dev teams
  - [ ] Testing by partners
- [ ] Audits
  - [ ] Internal developer review
  - [ ] Third-party review
  - [ ] Bug bounty
- [ ] Networks
  - [ ] Testnets
  - [ ] Productionnets
  - [ ] Mainnets
