# [Proposal][Draft] Proposal Title

## Changelog

- {date}: {changelog}

## Authors and Credit 

{Name}: {link e.g., github, discord, twitter}

## Status 

{DRAFT | PROPOSED}

> Use DRAFT if the Governance Proposal is in a draft stage or PROPOSED if it's in review. You can read more about governance proposal stages here: https://hub.cosmos.network/main/governance/best_practices.html

## Proposal

> A short (~200 word) description of the governance proposal being considered.

## Context

> A complete, yet brief account of the current sitation the proposal aims to address. It should clear explain the motivation, goals, and expected outcomes of the proposal as well as how the proposal addresses the situation better than other options. 

## Governance Votes

The following items summarize the voting options and what it means for this proposal.

- **YES**: You approve the {type} proposal to...{one sentence summary}. 
- **NO**: You disapprove of the proposal in its current form. The NO vote can be a request for improvements or adjustments, please indicated them in the relevant topic in the [Cosmos forum](https://forum.cosmos.network/). You agree that this proposal's motivation is valuable and that the team should create a follow-up proposal once the amendments are included.
- **NO (VETO)**: You veto the entire motivation for the proposal, are strongly opposed to its implementation, and will exit the network if passed. You are signalling the proposers should not create a follow-up proposal.
- **ABSTAIN**: You are impartial to the outcome of the proposal.

> State what voting for each option means in terms of this proposal. You can read more about voting options at: https://hub.cosmos.network/main/governance/overview.html#what-do-the-voting-options-mean

## Conclusion



## References

- {reference link}
