---
ADR: (number)
Title: (short title)
Status: (current ADR status)
Category: (Module or Feature)
Author: (primary & additional authors)
Created: (creation date)
Mdified: (modification date)
Requires: (optional list of downstream ADRs)
Required-By: (optional list of upstream ADRs)
Implements: (optional list of component ADRs)
---

# ADR {ADR-NUMBER}: {TITLE}

## Changelog

- {date}: {changelog}

## Abstract

> "If you can't explain it simply, you don't understand it well enough." Provide  a short (~200 word) high level description of the issue being addressed and rationale for such.

## Rationale
> Describe the context and rationale for proposing a new feature or module. The language in this section is value-neutral and should clearly explain the problem and motivation that the proposal aims to resolve.

## Desired Outcome
> Provides succinct answers to the issues documented above. Response should include desired characteristics / properties of feature/protocol, and effects if properties are violated.

## Consequences
> This section describes the resulting context, after applying the decision (positive, neutral, and negative).

#### Backwards Compatibility
> Discussion of compatibility or lack thereof with previous standards.

#### Forward Compatibility
> Discussion of compatibility or lack thereof with expected future standards.

## Technical Specification
> Details main technical standard, may include some of the following: syntax, semantics, sub-protocols, algorithms, data structures, etc.

## Development
> Documents the following for readiness/deployment milestones
- Integration requirements (CLI)
- Testing (Simulations, Core Team Testing, Partner Testing)
- Audits (Internal Dev review, Third-party review, Bug Bounty)
- Networks (Testnets, Productionnets, Mainnets)

### Backwards Compatibility
> Discussion of compatibility or lack thereof with expected future standards.

## Governance [optional]
> If relevant, will include:
- Linked Hub Governance proposal
- Core Community Governance
- Steering Community
- Timelines & Roadmap

## Project Integrations [optional]
> Document internal and/or external integration partners
- Gaia Integrations
- Integration Partner
- IBC Readiness
#### Downstream User Impact Report
#### Upstream Partner Impact Report
#### Inter-module Dependence

## Support
> Includes additional technical, marketing, educational, etc support

## Additional Research & References
> Additional links or sections to address
